package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 提现状态枚举
 */
@AllArgsConstructor
@Getter
public enum EWithdrawStatus {

    /**
     * 正常
     */
    NORMAL(0, "未打款", 0),

    /**
     * 打款
     */
    PAYMENT(1, "已打款", 0),
    /**
     * 充正
     */
    CHARGING(2, "已充正", 0),
    /**
     * 取消
     */
    CANCEL(3, "取消", 0),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EWithdrawStatus enums : EWithdrawStatus.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
